Description

Las operaciónes registradas en el GeometryManager como FromWKT y FromWKB  siempre lanzan una 
GeometryOperationException.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 3842: No carga GPX Outdated 10/29/2015

Associated revisions
Revision 42462 - 11/11/2015 02:15 PM - Francisco Díaz Carsí

refs #3851 Comentarizado el registro de las operaciones obsoletas FromWKT y FromWKB en DefaultGeometryOperationLibrary

History
#1 - 11/03/2015 08:12 AM - Lluís Marqués
- Subject changed from La operación "FromWKT" lanza siempre una excepción to Las operaciónes "FromWKT" y "FromWKB" lanzan siempre una 
excepción

Mirando el código de org.gvsig.fmap.geometry existen dos clases FromWKT y FromWKB actualmente:

    -  /org.gvsig.fmap.geometry.operation.jts/src/main/java/org/gvsig/fmap/geom/operation/fromwkt/FromWKT.java
    -  /org.gvsig.fmap.geometry.operation.jts/src/main/java/org/gvsig/fmap/geom/operation/fromwkb/FromWKB.java

Clases obsoletas registradas por DefaultGeometryOperationLibrary que simplemente se limitan a lanzar una excepción cuando se invocan.

    -  /org.gvsig.fmap.geometry.jts/src/main/java/org/gvsig/fmap/geom/jts/operation/fromwkt/FromWKT.java
    -  /org.gvsig.fmap.geometry.jts/src/main/java/org/gvsig/fmap/geom/jts/operation/fromwkb/FromWKB.java

Clases bien implementadas registradas por DefaultGeometryLibrary.

Pienso que el error se produce al registrar dos veces la misma operación, haciendo que la clase obsoleta reemplace la clase buena. Los mismos
ocurre con la operación FromWTB. El error se soluciona eliminando el registro en la librería DefaultGeometryOperationLibrary de las operaciones
FromWKT y FromWKB.
#2 - 11/03/2015 08:13 AM - Lluís Marqués
- Description updated

#3 - 11/11/2015 02:14 PM - José Badía
- Related to gvSIG bugs #3842: No carga GPX added

#4 - 11/11/2015 02:15 PM - José Badía
- Target version set to 2.3.0-2409  (rev. org.gvsig.desktop-2.0.115)
- Assignee set to Francisco Díaz Carsí

#5 - 11/11/2015 02:15 PM - Francisco Díaz Carsí
- Status changed from New to Fixed

#6 - 12/21/2015 12:30 PM - Álvaro Anguix
- Status changed from Fixed to Closed
